Name:           netbook-launcher-efl
Version:        0.2.6
Release:        %mkrel 2
License:        GPLv3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/GUI
Summary:        A clutter-based desktop launcher, typically used on netbooks
URL:            https://launchpad.net/netbook-remix
Source0:        %{name}_%{version}.orig.tar.gz
Source1:        restart_efl-launcher.desktop
Source2:        restart_efl-launcher.sh
#BuildRequires:  
Obsoletes:	%{name} < %version-%release
Provides:	%{name} = %version-%release


%description
This is a version of netbook-launcher using Enlightenment Foundation Libraries
(EFL) so it would run in systems without 3D acceleration required by Clutter.

%prep
%setup -q -n %name-%version

%build
%configure
make all

%install
%makeinstall_std
%find_lang %{name} 

%__mkdir_p %{buildroot}/%{_datadir}/applications
%__install -m644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/

%__mkdir_p %{buildroot}/%{_bindir}
%__install -m755 %{SOURCE2} %{buildroot}/%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/netbook-launcher-efl.schemas
%{_sysconfdir}/xdg/autostart/netbook-launcher-efl.desktop
%{_bindir}/netbook-launcher-efl
%{_bindir}/restart_efl-launcher.sh
#%{_datadir}/doc/netbook-launcher-efl
%{_datadir}/netbook-launcher-efl
%{_datadir}/applications/restart_efl-launcher.desktop

%changelog
* Sun Jun 06 2010 Oliver Burger <rpm@mandrivauser.de> 0.2.6-2mud2010.1
- added restart-script

* Sat Jun 05 2010 Oliver Burger <rpm@mandrivauser.de> 0.2.6-1mud2010.1
- new version 2.1.18
- initial package for Mandriva Linux
